##
##  magicpoint.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         magicpoint
Summary:      Slideset Presentation Tool
URL:          http://www.mew.org/mgp/
Vendor:       WIDE Project
Packager:     rse@openpkg.org
Distribution: OpenPKG [EVAL]
Group:        Graphics
License:      GPL
Version:      1.09a
Release:      20020810

#   list of sources
Source0:      ftp://ftp.mew.org/pub/mgp/magicpoint-%{version}.tar.gz
Source1:      ftp://ftp.mew.org/pub/mgp/ttf.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, X11, flex, bison, make
PreReq:       OpenPKG, openpkg >= 20020206, X11
AutoReq:      no
AutoReqProv:  no

%description
    Magicpoint is an X11-based presentation tool which renders
    slides from a markup language based description.

%prep
    %setup -q
    %setup1 -q -T -D -a 1

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-vflib \
        --disable-nls \
        --with-x \
        --x-includes=`%{l_prefix}/etc/rc --query x11_incdir` \
        --x-libraries=`%{l_prefix}/etc/rc --query x11_libdir`
    PATH="`%{l_prefix}/etc/rc --query x11_bindir`:$PATH"
    xmkmf -a
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/mgp/fonts \
        $RPM_BUILD_ROOT%{l_prefix}/share/mgp/image
    %{l_shtool} install -c -s -m 755 \
        mgp $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -s -m 755 \
        mgp2ps $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        mgpembed.pl $RPM_BUILD_ROOT%{l_prefix}/bin/mgpembed
    %{l_shtool} install -c -m 755 \
        contrib/mgpnet $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -s -m 755 \
        contrib/xwintoppm/xwintoppm $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        sample/default.mgp $RPM_BUILD_ROOT%{l_prefix}/share/mgp/
    %{l_shtool} install -c -m 644 \
        sample/mgp[1-3].jpg $RPM_BUILD_ROOT%{l_prefix}/share/mgp/image/
    %{l_shtool} install -c -m 644 \
        ttf/typewriter.ttf ttf/standard.ttf ttf/thick.ttf \
        $RPM_BUILD_ROOT%{l_prefix}/share/mgp/fonts/
    %{l_shtool} install -c -m 644 \
        USAGE SYNTAX $RPM_BUILD_ROOT%{l_prefix}/share/mgp/
    %{l_shtool} install -c -m 644 \
        mgp.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/mgp.1
    %{l_shtool} install -c -m 644 \
        mgp2ps.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/mgp2ps.1
    %{l_shtool} install -c -m 644 \
        mgpembed.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/mgpembed.1
    %{l_shtool} install -c -m 644 \
        contrib/mgpnet.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/mgpnet.1
    %{l_shtool} install -c -m 644 \
        contrib/xwintoppm/xwintoppm.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/xwintoppm.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}


%files -f files

%clean
    # rm -rf $RPM_BUILD_ROOT

